require 'test_helper'

class ActiveFixtureSearchMethodsTest < ActiveSupport::TestCase

  test "has search methods" do
    assert_respond_to TestModel, :all
    assert_respond_to TestModel, :select
    assert_respond_to TestModel, :find_by
  end

  test "raise exception when fixture not found" do
    assert_raise ActiveFixture::FixtureNotFound do
      TestModel.select(1)
    end
  end

end