require 'test_helper'


class FixtureTest < ActiveSupport::TestCase

  test "retrieve all roles" do
    assert_equal 3, Role.all.size
    Role.all.each do |role|
      assert_kind_of Role, role
    end
  end

  test 'retrive all permissions' do
    assert_equal 3, Permission.all.size
  end

  test "retrieve empty array when fixture file doesn't exist" do
    assert_equal [], EmptyModel.all
  end

  test ":select method searchs by id" do
    role = Role.select(1)
    assert_equal 'Admin', role.name
    assert_equal 1, role.id
  end

end