require 'test_helper'


class FixtureTest < ActiveSupport::TestCase

  setup do
    @admin_role = Role.select 1
  end

  test "role has_many permissions" do
    assert_respond_to @admin_role, :permissions
  end

  test "role retrieve permissions" do
    assert_equal 3, @admin_role.permissions.size
    assert_kind_of Array, @admin_role.permissions
  end

end